Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.instance
Class InstanceContextImpl

    java.lang.Object
      org.jboss.portal.core.impl.model.instance.InstanceContextImpl

All Implemented Interfaces:
  org.jboss.portal.portlet.spi.InstanceContext

    public class InstanceContextImpl

extends java.lang.Object
implements org.jboss.portal.portlet.spi.InstanceContext

Version:
  $Revision: 10119 $
Author:
  Julien Viet

Field Summary
`protected org.jboss.portal.portlet.state.AccessMode` | `accessMode` .
`protected org.jboss.portal.portlet.PortletContext` | `clonedContext` .
`protected Instance` | `instance` .
`protected org.jboss.portal.portlet.PortletContext` | `modifiedContext` .

Constructor Summary
`InstanceContextImpl(Instance instance, org.jboss.portal.portlet.state.AccessMode accessMode)`

Method Summary
`org.jboss.portal.portlet.state.AccessMode` | `getAccessMode()`
`java.lang.String` | `getId()`
`void` | `onStateEvent(org.jboss.portal.portlet.StateEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected final Instance instance

  .

### accessMode

    protected org.jboss.portal.portlet.state.AccessMode accessMode

  .

### clonedContext

    protected org.jboss.portal.portlet.PortletContext clonedContext

  .

### modifiedContext

    protected org.jboss.portal.portlet.PortletContext modifiedContext

  .

Constructor Detail

### InstanceContextImpl

    public InstanceContextImpl(Instance instance,
                               org.jboss.portal.portlet.state.AccessMode accessMode)

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `org.jboss.portal.portlet.spi.InstanceContext`

### getAccessMode

    public org.jboss.portal.portlet.state.AccessMode getAccessMode()

  Specified by:
    `getAccessMode` in interface `org.jboss.portal.portlet.spi.InstanceContext`

### onStateEvent

    public void onStateEvent(org.jboss.portal.portlet.StateEvent event)

  Specified by:
    `onStateEvent` in interface `org.jboss.portal.portlet.spi.InstanceContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD